Bug 260197 - devel/notcurses: Update to 3.0.1
Summary: devel/notcurses: Update to 3.0.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Dries Michiels
URL: https://github.com/dankamongmen/notcu...
Keywords:
Depends on:
Blocks:
 
Reported: 2021-12-04 00:39 UTC by nick black
Modified: 2021-12-20 11:20 UTC (History)
1 user (show)

See Also:


Attachments
git diff 2.4.9 -> 3.0.0 (3.18 KB, patch)
2021-12-04 00:39 UTC, nick black
nickblack: maintainer-approval+
Details | Diff
git diff 2.4.9 -> 3.0.1 (3.18 KB, patch)
2021-12-14 05:04 UTC, nick black
nickblack: maintainer-approval+
Details | Diff
git diff 2.3.9 -> 3.0.1 (3.92 KB, patch)
2021-12-15 05:36 UTC, nick black
nickblack: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description nick black 2021-12-04 00:39:15 UTC
Created attachment 229866 [details]
git diff 2.4.9 -> 3.0.0

New major upstream release 3.0.0, with new API and ABI breakage:

https://github.com/dankamongmen/notcurses/releases/tag/v3.0.0

Updated ABIVERSION, add new files, purge removed files, add dep on archivers/libdeflate.
Comment 1 Dries Michiels freebsd_committer 2021-12-07 15:23:46 UTC
Take
Comment 2 nick black 2021-12-13 17:11:41 UTC
i just cut 3.0.1 yesterday, so let me go ahead and refresh this patch before merging, please, thanks!
Comment 3 Dries Michiels freebsd_committer 2021-12-13 17:12:42 UTC
Sounds good!
Comment 4 nick black 2021-12-14 05:04:39 UTC
Created attachment 230099 [details]
git diff 2.4.9 -> 3.0.1
Comment 5 nick black 2021-12-14 05:05:19 UTC
move to 3.0.1, released yesterday (2021-12-12):

https://github.com/dankamongmen/notcurses/releases/tag/v3.0.1
Comment 6 Dries Michiels freebsd_committer 2021-12-14 12:50:16 UTC
Could you also add an UPDATING entry for users that upgrade from v2 to v3 with the ABI breakage. Thank you.
Comment 7 nick black 2021-12-15 05:27:33 UTC
(In reply to Dries Michiels from comment #6)

sure, you refer to https://docs.freebsd.org/en/books/porters-handbook/upgrading/#moved-and-updating-files?
Comment 8 nick black 2021-12-15 05:36:55 UTC
Created attachment 230130 [details]
git diff 2.3.9 -> 3.0.1

updates UPDATING, as requested
Comment 9 Dries Michiels freebsd_committer 2021-12-15 09:36:09 UTC
Perfect entry ;)! Thanks
Comment 10 nick black 2021-12-16 20:22:37 UTC
(In reply to Dries Michiels from comment #9)

no problem, you need anything else from me?
Comment 11 Dries Michiels freebsd_committer 2021-12-16 20:26:40 UTC
Nope. Should be good to go! I'm a mentored committer so it takes a bit longer before I can land it. Thanks for the patience.
Comment 12 nick black 2021-12-16 21:05:47 UTC
(In reply to Dries Michiels from comment #11)

no worries whatosever; thanks! =]
Comment 13 commit-hook freebsd_committer 2021-12-20 11:19:26 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=fb8a3a126a826fdeb199a5bcef1a947165febe93

commit fb8a3a126a826fdeb199a5bcef1a947165febe93
Author:     Nick Black <nickblack@linux.com>
AuthorDate: 2021-12-15 11:54:17 +0000
Commit:     Dries Michiels <driesm@FreeBSD.org>
CommitDate: 2021-12-20 11:14:03 +0000

    devel/notcurses: Update to 3.0.1

    Changes:                https://github.com/dankamongmen/notcurses/releases/tag/v3.0.0
    Changes:                https://github.com/dankamongmen/notcurses/releases/tag/v3.0.1
    PR:                     260197
    Approved by:            0mp (mentor)
    Differential Revision:  https://reviews.freebsd.org/D33461

 UPDATING                  | 10 ++++++++++
 devel/notcurses/Makefile  |  5 +++--
 devel/notcurses/distinfo  | 10 +++++-----
 devel/notcurses/pkg-plist |  8 +++++---
 4 files changed, 23 insertions(+), 10 deletions(-)
Comment 14 Dries Michiels freebsd_committer 2021-12-20 11:20:37 UTC
Committed, thanks!